---
title: glab runner-controller scope create
stage: Create
group: Code Review
info: To determine the technical writer assigned to the Stage/Group associated with this page, see <https://handbook.gitlab.com/handbook/product/ux/technical-writing/#assignments>
---

<!--
This documentation is auto generated by a script.
Please do not edit this file directly. Run `make gen-docs` instead.
-->

Create a scope for a runner controller. (EXPERIMENTAL)

## Synopsis

Creates a scope for a runner controller. This is an administrator-only feature.

Only instance-level scopes are supported. Use the `--instance` flag
to add an instance-level scope. With an instance-level scope, the runner
controller can evaluate jobs for all runners in the GitLab instance.

This feature is an experiment and is not ready for production use.
It might be unstable or removed at any time.
For more information, see
[https://docs.gitlab.com/policy/development_stages_support/](https://docs.gitlab.com/policy/development_stages_support/).

```plaintext
glab runner-controller scope create <controller-id> [flags]
```

## Examples

```console
# Add an instance-level scope to runner controller 42
$ glab runner-controller scope create 42 --instance

# Add an instance-level scope and output as JSON
$ glab runner-controller scope create 42 --instance --output json

```

## Options

```plaintext
      --instance        Add an instance-level scope.
  -F, --output string   Format output as: text, json. (default "text")
```

## Options inherited from parent commands

```plaintext
  -h, --help   Show help for this command.
```
